# This file was automatically generated by Dist::Zilla::Plugin::ModuleBuild v6.012.
use strict;
use warnings;

use Module::Build 0.28;


my %module_build_args = (
  "build_requires" => {
    "Module::Build" => "0.28"
  },
  "configure_requires" => {
    "Module::Build" => "0.28"
  },
  "dist_abstract" => "Querying your filehandle's capabilities",
  "dist_author" => [
    "Leon Timmermans <fawaka\@gmail.com>"
  ],
  "dist_name" => "PerlIO-Layers",
  "dist_version" => "0.012",
  "license" => "perl",
  "module_name" => "PerlIO::Layers",
  "recursive_test_files" => 1,
  "requires" => {
    "Carp" => 0,
    "Exporter" => "5.57",
    "List::Util" => 0,
    "PerlIO" => 0,
    "XSLoader" => 0,
    "perl" => "5.008_001",
    "strict" => 0,
    "warnings" => 0
  },
  "test_requires" => {
    "Data::Dumper" => 0,
    "Test::More" => "0.82"
  }
);


my %fallback_build_requires = (
  "Data::Dumper" => 0,
  "Module::Build" => "0.28",
  "Test::More" => "0.82"
);


unless ( eval { Module::Build->VERSION(0.4004) } ) {
  delete $module_build_args{test_requires};
  $module_build_args{build_requires} = \%fallback_build_requires;
}

my $build = Module::Build->new(%module_build_args);


$build->create_build_script;